2019-09-21 10:39 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002678NetSurfLayoutpublic2019-07-19 09:24
ReporterHarriet Bazley 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformIyonixOSRISC OSOS Version5.22
Product Version 
Target VersionFixed in Version 
Summary0002678: Viewpoint width and height units cause images to fail to display
DescriptionIf a website uses CSS like

img { max-height: 90vh; }
in an attempt to resize images to suit small screens, Netsurf doesn't display such images at all. It's not a case of not recognising 'vh' and 'vw' as valid units - if you substitute genuine gibberish, e.g. "max-height: 90hjb", then Netsurf will degrade gracefully and simply ignore the CSS altogether. And experiment suggests that it does obey the max-height attribute.
But Netsurf seems to recognise "vh" and "vw" as valid CSS yet respond by refusing to display the graphic in question..

Steps To ReproduceOpen attached sample file. Edit max-height line to various different values.
TagsNo tags attached.
Fixed in CI build #4712
Reported in CI build #4647
URL of problem page
Attached Files
  • ? file icon Newfile (740 bytes) 2019-06-25 02:36 -
    <style type="text/css">
    <!--
    img {
      max-width: 100%;
      height: auto;
      max-height: 60%;
      }
     -->
    </style>
    
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
    <html>
    <head>
    	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    	<meta name="Formatter" content="StrongED/4.63, HTMLmode/0.30">
    	<meta name="Generator" content="StrongED/4.63, HTMLmode/0.30">
    	<meta name="keywords" content="">
    	<title>Viewport units test</title>
    	<style type="text/css">
    <!--
    img {
      max-width: 100%;
      height: auto;
      max-height: 90vh;
      }
     -->
    </style>
    
    </head>
    
    <body background="" bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#FF0000">
    
    <img src='http://www.wdc-cnd.org.uk/Graphics/BlackCND.png'>
    </body>
    </html>
    
    ? file icon Newfile (740 bytes) 2019-06-25 02:36 +

-Relationships
+Relationships

-Notes
Harriet Bazley

~0001971

Harriet Bazley (reporter)

I just checked - this WORKS correctly in the old version v4358. The image not only displays but resizes as expected.

It does not work on the latest version, v4704 (tried on ARMiniX).
Michael Drake

~0001974

Michael Drake (administrator)

Fixed, thanks for the report.
Vincent Sanders

~0001996

Vincent Sanders (administrator)

we believe this issue has been resolved in NetSurf 3.9
+Notes

-Issue History
Date Modified Username Field Change
2019-06-25 02:36 Harriet Bazley New Issue
2019-06-25 02:36 Harriet Bazley File Added: Newfile
2019-06-27 14:08 Harriet Bazley Note Added: 0001971
2019-06-30 11:35 Michael Drake Assigned To => Michael Drake
2019-06-30 11:35 Michael Drake Status new => resolved
2019-06-30 11:35 Michael Drake Resolution open => fixed
2019-06-30 11:35 Michael Drake Description Updated View Revisions
2019-06-30 11:35 Michael Drake Fixed in CI build # => 4712
2019-06-30 11:35 Michael Drake Note Added: 0001974
2019-07-19 09:24 Vincent Sanders Status resolved => closed
2019-07-19 09:24 Vincent Sanders Note Added: 0001996
+Issue History